Subject: Re: bug#58005: 13.1.4; Can't work with indirect buffers

From: Ikumi Keita <[email-masked]>
Date: Fri, 26 Apr 2024 01:16:40 +0900

[ To [email-masked]: I'm sorry, the thread began to fail to
include you in Cc:; It seems to reach a reasonable solution. ]

>>>>> Vangelis Evangelou <[email-masked]> writes:
> OK. I attach the diff.
> On Wed, 24 Apr 2024 at 10:57, Ikumi Keita <[email-masked]> wrote:

Thanks, I added small adaptaion and a paragraph explaining the
preview-document behavior, and pushed to the git repo. I'll close this
bug.

>> To AUCTeX admins: Do you think Vangelis'es patch needs copyright
>> assignment? In my opinion, it doesn't because definition of
>> `TeX-buffer-file-name' is straightforward and other changes are trivial
>> (replacements of `buffer-file-name' -> `TeX-buffer-file-name' or
>> additions of `(with-current-buffer (or (buffer-base-buffer)
>> (current-buffer))...')

I committed with "Copyright-paperwork-exempt: yes".
 
Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW